package com.cardiff.client_project.controller;

import com.cardiff.client_project.service.SuperAdminService;
import com.cardiff.client_project.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;



@Controller
public class ViewController {

    @Autowired
    private SuperAdminService superAdminService;

    @GetMapping("/loadLeft")
    public String loadLeftView() {

        return "leftView";
    }

    @GetMapping("/defaultLoadMain")
    public String loadMainView_1(Model model) {
        Result result = superAdminService.selectAllAdmin();
        // Add data to the model
        model.addAttribute("tableData", result.getData());
        return "mainSupAdminView";
    }

    @GetMapping("/hospitalLoadMain")
    public String loadMainView_2(Model model) {
        //System.out.println("loadMainView_2");
        Result result = superAdminService.selectAllHospital();
        // Add data to the model
        System.out.println("result"+result.getData());
        model.addAttribute("tableData", result.getData());
        // System.out.println("result"+result.getData());
        return "mainHospitalView";
    }
     @GetMapping("/beds")
    public String bedsView() {
        return "beds";
    }
}
